Subject: bug#7771: 23.1; can't turn off font-lock-mode globally

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jan 2011 20:26:50 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Mon, 3 Jan 2011 10:09:47 -0800
> 
> > I think a more accurate statement would be
> > "compilation-mode needs font-lock to be turned on for its
> > functionality, so it turns it on unconditionally in the compilation
> > buffer."
> 
> Maybe that is more accurate, but the point of the thread is that
> compilation-mode should _not_ "need font-lock to be turned on for its
> functionality".

I agree.  I just wanted to point out that users who turn font-lock off
will not have M-x compile broken.